
-- backup one of the other nodes, say test1

-- restore test1 to the new node, say test3

:SETVAR NewSubServer 'ZMV17'
GO

-- Add the transactional publication and article in test3
USE test2
GO

DECLARE @publication AS sysname; 
DECLARE @article1 AS sysname; 
DECLARE @article2 AS sysname; 
DECLARE @login AS sysname;
DECLARE @password AS nvarchar(512);
SET @publication = N'two_way_pub_test1';
SET @article1 = N'two_way_test1';
SET @article2 = N'two_way_test1';
--SET @login = $(Login);
--SET @password = $(Password);

EXEC sp_addlogreader_agent 
--	@job_login = @login, 
--	@job_password = @password,
	@publisher_security_mode = 1;

EXEC sp_addpublication @publication = @publication, 
    @restricted = N'false', 
	@sync_method = N'native', 
    @repl_freq = N'continuous', 
	@description = N'Pub3',
    @status = N'active',               -- required for p2p
	@allow_push = N'true', 
    @allow_pull = N'true', 
	@allow_anonymous = N'false', 
    @enabled_for_internet = N'false', 
    @independent_agent = N'true', 
	@immediate_sync = N'true',                -- required for p2p
    @allow_sync_tran = N'false', 
    @autogen_sync_procs = N'false', 
    @enabled_for_p2p = N'true',               -- required for p2p
    @allow_initialize_from_backup = N'true',  -- required for p2p
	@retention = 60;

EXEC sp_addarticle @publication = @publication,
    @article = @article2, 
	@source_owner = N'dbo', 
    @source_object = @article2, 
	@destination_table = @article1, 
	@type = N'logbased', 
    @creation_script = null, 
    @description = null, 
	@pre_creation_cmd = N'drop', 
    @schema_option = 0x00000000000000F1, 
	@status = 16, 
    @vertical_partition = N'false', 
    @ins_cmd = N'CALL sp_ins_two_way_test1', 
    @del_cmd = N'XCALL sp_del_two_way_test1', 
    @upd_cmd = N'XCALL sp_upd_two_way_test1', 
    @filter = null, 
	@sync_object = null;
GO

-- Add the transactional subscription in test3
USE test3
GO

DECLARE @publication AS sysname;
DECLARE @subscriber AS sysname;
DECLARE @subscription_db AS sysname;
SET @publication = N'two_way_pub_test1';
SET @subscriber = $(NewSubServer);
SET @subscription_db = N'test1';

EXEC sp_addsubscription @publication = @publication, 
    @article = N'all', 
	@subscriber = @subscriber, 
    @destination_db = @subscription_db, 
	@sync_type = N'initialize with backup',  -- required for new p2p node
    @backupdevicename = N'NAME OF BACKUP FILE', -- required for new p2p
    @status = N'active', 
	@update_mode = N'read only', 
    @loopback_detection = 'true';

EXEC sp_addpushsubscription_agent 
	@publication = @publication, 
	@subscriber = @subscriber, 
	@subscriber_db = @subscription_db
--	@job_login = $(Login), 
--	@job_password = $(Password);
GO